

import io.vertx.reactivex.core.MultiMap;
import io.vertx.reactivex.core.Vertx;
import io.vertx.reactivex.core.buffer.Buffer;
import io.vertx.reactivex.ext.web.client.HttpRequest;
import io.vertx.reactivex.ext.web.client.HttpResponse;
import io.vertx.reactivex.ext.web.client.WebClient;

public class Test {
	public static void main(String[] args) {

		System.out.println("Java " + System.getProperty("java.version"));
		Vertx vertx = Vertx.vertx();
		MultiMap values = MultiMap.caseInsensitiveMultiMap();
		values.add("field1", "value1");
		values.add("field2", "value2");
		final WebClient client = WebClient.create(vertx);
		final HttpRequest<Buffer> request = client.post(8088, "localhost", "/");
		System.out.println("Sending request");
		final HttpResponse<Buffer> response = request
				.rxSendForm(values)
				.blockingGet();
		System.out.println("Response received:");
		System.out.println(response.bodyAsString());
		client.close();
	}
}
